summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-18 06:27:51 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-18 06:27:51 +0000
commita8e3539d8a5b01417a7b178b6697ea3419108cba (patch)
treec00459cc20d7ff6f60762ad15a5225faaac914bf /dev-python
parent310d57adf4d643e5c4242d6ec6f632a545d21f47 (diff)
downloadbaldeagleos-repo-a8e3539d8a5b01417a7b178b6697ea3419108cba.tar.gz
baldeagleos-repo-a8e3539d8a5b01417a7b178b6697ea3419108cba.tar.xz
baldeagleos-repo-a8e3539d8a5b01417a7b178b6697ea3419108cba.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/btrfsutil/Manifest2
-rw-r--r--dev-python/btrfsutil/btrfsutil-6.11.ebuild46
-rw-r--r--dev-python/contourpy/contourpy-1.3.0.ebuild4
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/pyopengl/Manifest1
-rw-r--r--dev-python/pyopengl/files/pyopengl-3.1.8-fix-version.patch17
-rw-r--r--dev-python/pyopengl/pyopengl-3.1.8.ebuild74
-rw-r--r--dev-python/pyopengl_accelerate/Manifest1
-rw-r--r--dev-python/pyopengl_accelerate/pyopengl_accelerate-3.1.8.ebuild63
12 files changed, 215 insertions, 22 deletions
diff --git a/dev-python/btrfsutil/Manifest b/dev-python/btrfsutil/Manifest
index 2343cf118064..4e69acaa55d3 100644
--- a/dev-python/btrfsutil/Manifest
+++ b/dev-python/btrfsutil/Manifest
@@ -1,4 +1,6 @@
DIST btrfs-progs-v6.10.1.tar.sign 566 BLAKE2B dc18c0048716e422475c6630c26c74e09b3595fb8c5c1a1826464eb837d16edfe7d5fa1f418631ae4d380b24bc3fb91fa79ba1e9b1d42a2534838558362ddc18 SHA512 a8a1805ab22feda9f0535841d44120200e48d6d3762ae98f3323be09c9bd7905ff69f21066a8de1fe5cb34a3113879b73ae030a74ccc74737f06dafb32093375
DIST btrfs-progs-v6.10.1.tar.xz 2670604 BLAKE2B 7a2631b8462bb02be0936861a42b868907bd4f4e365293f9c95744b963e769b81248ba0a290fca517d689ff9f93d8709cc37e217264b2dac1469a47349f97e8c SHA512 cd10747d1f5f9377abfdf209b517791d3eb13b417c0be65fd5c0c044b01063125b4176c178345387bb3deda7a3a379953f31d46d7834854455a5dbfbf967aa97
+DIST btrfs-progs-v6.11.tar.sign 566 BLAKE2B 15db44b5db3265eff9d5195ad4842cef5d001c46e1170f219784fca8d049756dccbc1bd95f20fc343fbdf1078c610a166921c043828cdc5f64c0f465323ca0e4 SHA512 a2fdd9100ad3ddd30cb923a72a2b4f70634277e5fbbf0d2cf912c00dc876dad6cd2c24e624f41dbb83aabdda4e3c08aea9c0ae39084bb3481700491df3d47fd5
+DIST btrfs-progs-v6.11.tar.xz 2695752 BLAKE2B 6dec219394e39a821f29858eddf1d501537d3cebad2dc83f0cea6d88d0b0e94c4fe2e660a48a27942ccfb6f3ac0630d5930f44e083168de65b60af36e895b2af SHA512 fad3c7e908e2020a3983f9737a7e87367023e2ad35aea14197e2bfa71c1e0435bc3da3f7e6ef463de47c033323163f8b1b7933013042c6fcea673d0f4723ade1
DIST btrfs-progs-v6.9.2.tar.sign 566 BLAKE2B 4cd95496d355444c7d3e582a7e6c05fbb55683008b1585a26f38aef6cceb1afd5e80c9611518d6bd92dc1167798d4012c4bcab2f9bda752c459d94cfa6f3c477 SHA512 3fb04e1894e231abde388a39d2f0c90f43c1a1494622c2158fab9b94bb340e064404bcf96e24d913c60aaf5e06ade42fbb91a479949109b329682bb089f66bf2
DIST btrfs-progs-v6.9.2.tar.xz 2661684 BLAKE2B 38ab189ac8271ba8d68b74e82569159c671cca1cb946f56ccab28b6b206cb6ee5b330d83afc3536b7e0d7399da3fb01e368809c1ef4a64b843ea88796ebd28bd SHA512 1df9d5456d07a035c38c17795996a4fc621eeaa244ef54383d4387205826d2a6e971910e55031d20bb1baf23193efa7439e110312ffd8471f07aaf8c0baca20a
diff --git a/dev-python/btrfsutil/btrfsutil-6.11.ebuild b/dev-python/btrfsutil/btrfsutil-6.11.ebuild
new file mode 100644
index 000000000000..85d1e802110f
--- /dev/null
+++ b/dev-python/btrfsutil/btrfsutil-6.11.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/dsterba.asc
+
+inherit distutils-r1 verify-sig
+
+DESCRIPTION="Library for managing Btrfs filesystems"
+HOMEPAGE="https://github.com/kdave/btrfs-progs"
+
+MY_PN="btrfs-progs"
+MY_PV="v${PV/_/-}"
+MY_P="${MY_PN}-${MY_PV}"
+SRC_URI="
+ https://mirrors.edge.kernel.org/pub/linux/kernel/people/kdave/${MY_PN}/${MY_P}.tar.xz
+ verify-sig? ( https://mirrors.edge.kernel.org/pub/linux/kernel/people/kdave/${MY_PN}/${MY_P}.tar.sign )
+"
+S="${WORKDIR}/${MY_P}/libbtrfsutil/python"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="~sys-fs/btrfs-progs-${PV}"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests unittest
+
+RDEPEND+=" !sys-fs/btrfs-progs[python(-)]"
+
+src_unpack() {
+ # Upstream sign the decompressed .tar
+ if use verify-sig; then
+ einfo "Unpacking ${MY_P}.tar.xz ..."
+ verify-sig_verify_detached - "${DISTDIR}"/${MY_P}.tar.sign \
+ < <(xz -cd "${DISTDIR}"/${MY_P}.tar.xz | tee >(tar -x))
+ assert "Unpack failed"
+ else
+ default
+ fi
+}
diff --git a/dev-python/contourpy/contourpy-1.3.0.ebuild b/dev-python/contourpy/contourpy-1.3.0.ebuild
index 150d8959b2a6..7ec1ff403b2e 100644
--- a/dev-python/contourpy/contourpy-1.3.0.ebuild
+++ b/dev-python/contourpy/contourpy-1.3.0.ebuild
@@ -21,13 +21,13 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/numpy-1.23[${PYTHON_USEDEP}]
"
BDEPEND="
- >=dev-python/pybind11-2.12.0[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.13.1[${PYTHON_USEDEP}]
test? (
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 630fe63c6f53..c09b7356f549 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyopengl/Manifest b/dev-python/pyopengl/Manifest
index 819e62cac925..a5d4d4e20cc4 100644
--- a/dev-python/pyopengl/Manifest
+++ b/dev-python/pyopengl/Manifest
@@ -1 +1,2 @@
DIST PyOpenGL-3.1.7.tar.gz 1896446 BLAKE2B 3fd4c84bb59157b4a6ee09c2a5ecd0e4f548bf03a84d735acfd92453eafb92102677a2b9c98831a92be33e873630c815dee453745d630a4d6b044771a13c945c SHA512 add1b4d02e7297f00f82a9c9249d6665029073fe620a1650491af9102a76a16e9320b5f227275b0c273ff5a616c284fd9f25f0f425848676c37cab9f3c22ae2e
+DIST pyopengl-3.1.8.gh.tar.gz 3599436 BLAKE2B 7f33345d68d66d3cc81278eaa5f54298694f41f40583ee08a1f9f677705fb4414b6b2afbcd7b9345199b5f573478bfeba050e185b6534cbb19b45cb25c241b47 SHA512 d95014a36bd889fa014043e4640ba7f319bb996cb56e5f7086ee05d39c53d3928512d52b0ce181d7c144775a4da7eff7403cada0f91f23f56a699a1b023e00e6
diff --git a/dev-python/pyopengl/files/pyopengl-3.1.8-fix-version.patch b/dev-python/pyopengl/files/pyopengl-3.1.8-fix-version.patch
new file mode 100644
index 000000000000..7017dd79a451
--- /dev/null
+++ b/dev-python/pyopengl/files/pyopengl-3.1.8-fix-version.patch
@@ -0,0 +1,17 @@
+https://github.com/mcfletch/pyopengl/issues/123
+--- a/OpenGL/version.py
++++ b/OpenGL/version.py
+@@ -1,2 +1,2 @@
+ """Declares the current version for use in setuptools and the like"""
+-__version__ = "3.1.7"
++__version__ = "3.1.8"
+--- a/accelerate/OpenGL_accelerate/__init__.py
++++ b/accelerate/OpenGL_accelerate/__init__.py
+@@ -6,5 +6,5 @@ wrapper mechanism. The source code is part of the
+ PyOpenGL package and is built via the setupaccel.py
+ script in the top level of the PyOpenGL source package.
+ """
+-__version__ = "3.1.7"
+-__version_tuple__ = (3, 1, 7)
++__version__ = "3.1.8"
++__version_tuple__ = (3, 1, 8)
diff --git a/dev-python/pyopengl/pyopengl-3.1.8.ebuild b/dev-python/pyopengl/pyopengl-3.1.8.ebuild
new file mode 100644
index 000000000000..688aae7dd674
--- /dev/null
+++ b/dev-python/pyopengl/pyopengl-3.1.8.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=PyOpenGL
+PYTHON_REQ_USE="tk?"
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Python OpenGL bindings"
+HOMEPAGE="
+ https://pyopengl.sourceforge.net/
+ https://github.com/mcfletch/pyopengl/
+ https://pypi.org/project/PyOpenGL/
+"
+# 3.1.8 is missing from pypi: https://github.com/mcfletch/pyopengl/issues/123
+SRC_URI="https://github.com/mcfletch/pyopengl/archive/refs/tags/release-${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}"/${PN}-release-${PV}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="tk"
+
+RDEPEND="
+ media-libs/freeglut
+ virtual/opengl
+ x11-libs/libXi
+ x11-libs/libXmu
+ tk? ( dev-tcltk/togl )
+"
+DEPEND="
+ ${RDEPEND}
+"
+
+# The tests need an X server with the GLX extension. Software rendering
+# under Xvfb works but only with llvmpipe, not softpipe or swr.
+BDEPEND="
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pygame[${PYTHON_USEDEP},opengl,X]
+ !prefix? (
+ media-libs/mesa[llvm]
+ x11-base/xorg-server[-minimal,xorg]
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ # https://github.com/mcfletch/pyopengl/pull/109
+ "${FILESDIR}/${PN}-3.1.7-pypy3.patch"
+ # https://github.com/mcfletch/pyopengl/issues/123
+ "${FILESDIR}/${P}-fix-version.patch"
+)
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # unreliable memory counting test
+ tests/test_vbo_memusage.py::test_sf_2980896
+ )
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ nonfatal epytest tests || die "Tests failed with ${EPYTHON}"
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/pyopengl_accelerate/Manifest b/dev-python/pyopengl_accelerate/Manifest
index ffaefcbf0395..2d9c91367cba 100644
--- a/dev-python/pyopengl_accelerate/Manifest
+++ b/dev-python/pyopengl_accelerate/Manifest
@@ -1 +1,2 @@
DIST pyopengl-release-3.1.7.gh.tar.gz 3310131 BLAKE2B 37d64a0e0f3ced1965a7285ac7a0afb774b1e5ef630e42d86e40bb65176af7f0aa44accee50d3b32eb87a13c76535a3239359ea2c5bea385e20f1b1ec1a8b636 SHA512 a6cd28b15964e55e8a808477138ad03eb212501d9f4723603c405932963aedca83b91ff19e510ca181cc9800f2a22968b2913b70a975b7797f3bcad112c6c0b4
+DIST pyopengl-release-3.1.8.gh.tar.gz 3599436 BLAKE2B 7f33345d68d66d3cc81278eaa5f54298694f41f40583ee08a1f9f677705fb4414b6b2afbcd7b9345199b5f573478bfeba050e185b6534cbb19b45cb25c241b47 SHA512 d95014a36bd889fa014043e4640ba7f319bb996cb56e5f7086ee05d39c53d3928512d52b0ce181d7c144775a4da7eff7403cada0f91f23f56a699a1b023e00e6
diff --git a/dev-python/pyopengl_accelerate/pyopengl_accelerate-3.1.8.ebuild b/dev-python/pyopengl_accelerate/pyopengl_accelerate-3.1.8.ebuild
new file mode 100644
index 000000000000..416e9fd665f2
--- /dev/null
+++ b/dev-python/pyopengl_accelerate/pyopengl_accelerate-3.1.8.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=pyopengl-release-${PV}
+DESCRIPTION="Accelerate module for PyOpenGL"
+HOMEPAGE="
+ https://pyopengl.sourceforge.net/
+ https://github.com/mcfletch/pyopengl/
+ https://pypi.org/project/PyOpenGL-accelerate/
+"
+SRC_URI="
+ https://github.com/mcfletch/pyopengl/archive/release-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/accelerate
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="numpy"
+
+DEPEND="
+ numpy? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/pyopengl[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ rm src/*.c || die
+
+ if ! use numpy; then
+ cat > "${T}"/numpy.py <<-EOF || die
+ raise ImportError("building numpy extension disabled")
+ EOF
+ fi
+}
+
+python_compile() {
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ distutils-r1_python_compile
+}
+
+python_test() {
+ cd "${T}" || die
+ epytest "${S}"/tests
+}